CSFML - C binding of the Simple and Fast Multimedia Library

CSFML 3.0.0

- Main Page
- Classes
- Files

- File List
- File Members

Loading...
Searching...
No Matches
Enumerations | Functions
Sensor.h File Reference
`#include <CSFML/Window/Export.h>`
`#include <CSFML/System/Vector3.h>`
`#include <CSFML/Window/Types.h>`

Go to the source code of this file.

## Enumerations
enum | sfSensorType { sfSensorAccelerometer , sfSensorGyroscope , sfSensorMagnetometer , sfSensorGravity , sfSensorUserAcceleration , sfSensorOrientation }
| Sensor Types. More...
enum | { sfSensorCount = sfSensorOrientation + 1 }

## Functions
bool | sfSensor_isAvailable (sfSensorType sensor)
| Check if a sensor is available on the underlying platform.
void | sfSensor_setEnabled (sfSensorType sensor, bool enabled)
| Enable or disable a sensor.
sfVector3f | sfSensor_getValue (sfSensorType sensor)
| Get the current sensor value.

## Enumeration Type Documentation

## ◆ anonymous enum

anonymous enum

Enumerator
sfSensorCount | The total number of sensor types.

Definition at line 50 of file Sensor.h.

## ◆ sfSensorType

enum sfSensorType

Sensor Types.

Enumerator
sfSensorAccelerometer | Measures the raw acceleration (m/s^2)
sfSensorGyroscope | Measures the raw rotation rates (degrees/s)
sfSensorMagnetometer | Measures the ambient magnetic field (micro-teslas)
sfSensorGravity | Measures the direction and intensity of gravity, independent of device acceleration (m/s^2)
sfSensorUserAcceleration | Measures the direction and intensity of device acceleration, independent of the gravity (m/s^2)
sfSensorOrientation | Measures the absolute 3D orientation (degrees)

Definition at line 40 of file Sensor.h.

## Function Documentation

## ◆ sfSensor_getValue()

sfVector3f sfSensor_getValue | ( | sfSensorType | sensor | ) |

Get the current sensor value.

Parameters

  sensor | Sensor to read

Returns
  The current sensor value

## ◆ sfSensor_isAvailable()

bool sfSensor_isAvailable | ( | sfSensorType | sensor | ) |

Check if a sensor is available on the underlying platform.

Parameters

  sensor | Sensor to check

Returns
  true if the sensor is available, false otherwise

## ◆ sfSensor_setEnabled()

void sfSensor_setEnabled | ( | sfSensorType | sensor,
|  | bool | enabled )

Enable or disable a sensor.

All sensors are disabled by default, to avoid consuming too much battery power. Once a sensor is enabled, it starts sending events of the corresponding type.

This function does nothing if the sensor is unavailable.

Parameters

  sensor | Sensor to enable
  enabled | true to enable, false to disable